package com.ycwl.basic.model.pc.menu.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/11/29 14:06
 */
@Data
@TableName("menu")
public class MenuEntity {
    @TableId
    @ApiModelProperty(value = "ID")
    private String id;

    @ApiModelProperty(value = "父节点ID")
    private String parentId;
    @ApiModelProperty(value = "路由")
    private String target;

    @ApiModelProperty(value = "菜单名")
    private String name;
    @ApiModelProperty(value = "菜单类型 （0菜单 1按钮）")
    private Integer type;
    @ApiModelProperty(value = "排序")
    private Integer sort;
    @ApiModelProperty(value = "权限路径")
    private String permissionUrl;
    @ApiModelProperty(value = "是否删除 （0正常 1删除）")
    private String isRemove;
    @ApiModelProperty(value = "业务类型 （0 系统菜单 1 业务菜单）")
    private Integer businessType;
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    @ApiModelProperty("图标")
    private String icon;
}
